# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'outbox/rails/version'

Gem::Specification.new do |spec|
  spec.name = 'outbox-rails'
  spec.version = Outbox::Rails::VERSION
  spec.authors = ['Pete Browne']
  spec.email = ['pete.browne@localmed.com']
  spec.description = 'Rails Railtie for sending email, SMS, and push notifications using the Outbox gem.'
  spec.summary = 'Rails Railtie for sending email, SMS, and push notifications using the Outbox gem.'
  spec.homepage = 'https://github.com/localmed/outbox-rails'
  spec.license  = 'MIT'

  spec.files = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'outbox', '~> 0.2.0'
  spec.add_runtime_dependency 'rails', ['>= 5.0', '< 7']
  spec.add_development_dependency 'appraisal', '~> 2.3.0'
  spec.add_development_dependency 'combustion', '~> 1.1'
  spec.add_development_dependency 'rake', '>= 12.3.3'
  spec.add_development_dependency 'rspec', '~> 3.5.0'
  spec.add_development_dependency 'rspec-rails', '~> 3.5.2'
  spec.add_development_dependency 'rubocop', '~> 0.82.0'
  spec.add_development_dependency 'sqlite3'
end
